#!/usr/bin/env zsh

emulate -L zsh

equery="equery --no-color files"

get_path_for_site_packages() {
	local remote=$1
    local root=$2
    local packages=$3
	local cmd="ROOT='$root' $equery $packages"

    echo -e $(
		ssh -q $remote $cmd \
			| sed -nE 's;.*site-packages/([^/]+).*;\1;p' \
			| sort -u
	)
}

get_site_packages() {
	local remote=$1
	local cross=$2
	local -a packages=($3)

	if (( ! ${#packages} )); then
		print "Error: no packages provided"
		exit 1
	fi

	pkgs=( $(get_path_for_site_packages $remote $cross ${(j: :)packages}) )
	print /usr/lib/python2.7/site-packages/${^pkgs}
}
