# Vim for ADM

This is port of Vim for Asustor ADM.

## What Is Vim?

* Vim is a highly configurable text editor built to enable efficient text editing. It is an improved version of the vi editor distributed with most UNIX systems.
* Vim is often called a "programmer's editor," and so useful for programming that many consider it an entire IDE. It's not just for programmers, though. Vim is perfect for all kinds of text editing, from composing email to editing configuration files.

Despite what the above comic suggests, Vim can be configured to work in a very simple (Notepad-like) way, called evim or Easy Vim.

## What Vim Is Not?

* Vim isn't an editor designed to hold its users' hands. It is a tool, the use of which must be learned.
* Vim isn't a word processor. Although it can display text with various forms of highlighting and formatting, it isn't there to provide WYSIWYG editing of typeset documents. (It is great for editing TeX, though.)

## Tips

I had to add the following to my `.vimrc` to prevent the arrow keys from typing `A`, `B`, `C`, `D` in the editor (and to fix the backspace key):

Contents of `$HOME/.vimrc`:

```vimrc
set term=xterm-256color
set backspace=2
```
